Access device information programmatically
The iUDiD API allows you to programmatically access device information. All endpoints return JSON data and support both GET and POST requests.
https://iudid.ru/apiGET /api/download-profileDownloads an Apple Configuration Profile (.mobileconfig) that retrieves device information including UDID, model, iOS version, serial number, and IMEI when installed on an iOS device.
GET /api/device?id=:id{
"udid": "00008140-001A59E10EFB001C",
"product": "iPhone17,2",
"version": "23B85",
"serial": "F23RFYW2GC",
"imei": "35 387725 573934 8"
}POST /api/device{
"udid": "00008140-001A59E10EFB001C",
"product": "iPhone17,2",
"version": "23B85",
"serial": "F23RFYW2GC",
"imei": "35 387725 573934 8"
}{
"id": "aBc12XyZ",
"expiresIn": 2592000
}API requests are limited to 100 requests per minute per IP address. Stored device data expires after 30 days.